Bug 66210 - lease status information from dhcpcd
lease status information from dhcpcd
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-06 07:40 EDT by Thomas M Steenholdt
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-06 07:41:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas M Steenholdt 2002-06-06 07:40:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.0.0) Gecko/20020530

Description of problem:
I really need a way to get information about ip lease statistics from my dhcp
client. As far as I have been able to investigate, this is simply not possible -
even if one is willing to do some calculations on their his own. By lease status
i mean something like the pump -i eth0 -s output.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start you dhcpcd configured box
2. try to find out the exact time of lease expiration(without looking at the clock)

	

Actual Results:  cant be done

Expected Results:  should be doable

Additional info:

It is even more frustrating after a random number of renewals, as the .info file
in /etc/dhcpc contains the lease time, but is in no way updated at ip renewal...
Comment 1 Elliot Lee 2002-06-20 12:43:05 EDT
Based on current priorities, there's just about no chance I'll get to this, so rather than leave 
it lying around, I will just close it and suggest talking to the upstream maintainer 
(sv@phystech.com) to see if he wants to implement it.

If you do come up with a patch to implement what you want, I'll be happy to look at it for 
our dhcpcd package, though.

Note You need to log in before you can comment on or make changes to this bug.